@import common

// colors
$g0: rgb( 0, 14, 0 )
$g1: #001100
$g2: #002200
$g3: #003300
$g4: #004400
$g5: #005500
$g6: #006600
$g7: #007700
$g8: #008800
$g9: #009900
$ga: #00aa00
$gb: #00bb00
$gc: #00cc00
$gd: #00dd00
$ge: #00ee00
$gf: #00ff00

// theme variables
\:root
  // ------------------------------ global
  --spacing: var( --size-2x )

  // ------------------------------ root
  --background: #{ $g0 }

  // ------------------------------ close area
  --close-area-background: #{ rgba( $g0, .7 ) }

  // ---------------------------------------------- loader
  --loader-background: #{ $g0 }
  --loader-color: #{ $g9 }

  // ------------------------------ codemirror
  --codemirror-height: var( --size-7x )

  // ------------------------------ main
  --content-background: #{ $g0 }
  --content-color: #{ $ga }
  --content-color-highlight: #{ $gd }

  // ------------------------------ bar ( header / footer )
  --bar-size: var( --size-7x )
  --bar-font-size: var( --size-3x )

  --bar-background: #{ rgba( $g2, .7 ) }
  --bar-color: #{ $ga }

  --bar-button-hover-background: #{ rgba( $g6, .3 ) } 
  --bar-button-hover-color: inherit

  // ------------------------------ button
  --disabled-background: #{ moon( .14 ) }
  --disabled-color: #{ rgba( $gd, .21 ) }

  // ------------------------------ input
  --input-background: #{ rgba( $gb, .05 ) }
  --input-color: #{ $g9 }

  --input-font-size: var( --size-3x )
  --input-height: var( --size-6x )

  --input-focus-background: #{ sun() }
  --input-focus-color: #{ $gc }

  // ------------------------------ list
  --collection-background: inherit
  --collection-color: #{ $gb }

  --collection-size: var( --size-5x )
  --collection-font-size: var( --size-3x )

  --collection-button-background: inherit
  --collection-button-color: inherit
  --collection-button-hover-background: #{ rgba( $g6, .3 ) }
  --collection-button-hover-color: inherit

  --collection-item-odd-background: #{ rgba( $g4, .14 ) }

  --collection-item-hover-background: #{ rgba( $gc, .14 ) }
  --collection-item-hover-color: inherit

  // ------------------------------ breadcrumb
  --breadcrumb-clickable-background: #{ $g1 }
  --breadcrumb-current-background: #{ rgba( $g4, .42 ) }
